ENYO-2089: forbid running on node < 0.8.21 #244

Merged
merged 4 commits into from Mar 30, 2013

Projects

None yet

2 participants

@asnowfix
Member

Tested on Windows/IE9

- Avoid `socket hang up` on Windows

Enyo-DCO-1.1-Signed-off-by: Francois-Xavier KOWALSKI francois-xavier.kowalski@hp.com

asnowfix added some commits Mar 29, 2013
@asnowfix asnowfix ENYO-2089: forbid running on node < 0.8.21
- Avoid `socket hang up` on Windows

Enyo-DCO-1.1-Signed-off-by: Francois-Xavier KOWALSKI <francois-xavier.kowalski@hp.com>
1175bee
@asnowfix asnowfix ENYO-2089: currently working on 0.1.1 (to be released 2013-03-29)
- NPM version number incremented in package.json

Enyo-DCO-1.1-Signed-off-by: Francois-Xavier KOWALSKI <francois-xavier.kowalski@hp.com>
7b6f9c3
@yves-del-medico yves-del-medico commented on the diff Mar 29, 2013
package.json
@@ -13,7 +13,7 @@
"url" : "http://github.com/enyojs/ares-project.git"
},
"engines": {
- "node" : "0.8.x >=0.8.19",
+ "node" : "0.8.x >=0.8.21",
@yves-del-medico
yves-del-medico Mar 29, 2013 Member

This could be enforced at runtime in hermes/lib/checkNodeVersion.js

@asnowfix
asnowfix Mar 29, 2013 Member

Good idea. I just added it to the stack of changes for this PR.

@yves-del-medico yves-del-medico merged commit 3328dc9 into master Mar 30, 2013
@yves-del-medico
Member

Tested on Windows
Merged

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment